nodes_datalinks_update
const url = 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/datalinks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"data":{"external_id":"example","connection":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"},"datalink_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"multiple_update":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/datalinks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "data": { "external_id": "example", "connection": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }, "datalink_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "multiple_update": false }'Update the Data associated with a DataLink.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this data link.
Header Parameters
Section titled “Header Parameters”Workspace ID
Request Bodyrequired
Section titled “Request Bodyrequired”Serializer for updating the Data associated with a Datalink.
object
Serializer for the data field in DataLink update requests.
object
List of datalink IDs to associate with the updated data.
Whether to update only this datalink or all datalinks in datalinls_ids.
Serializer for updating the Data associated with a Datalink.
object
Serializer for the data field in DataLink update requests.
object
List of datalink IDs to associate with the updated data.
Whether to update only this datalink or all datalinks in datalinls_ids.
Serializer for updating the Data associated with a Datalink.
object
Serializer for the data field in DataLink update requests.
object
List of datalink IDs to associate with the updated data.
Whether to update only this datalink or all datalinks in datalinls_ids.
Responses
Section titled “Responses”Serializer for Datalink.
object
Return serialized data object with request context.
Parameters
obj : DataLink The object containing the data that needs to be serialized.
Returns
DatalinkDataSerializer A DatalinkDataSerializer object is being returned, with the data attribute of the input obj and the context set to include the request from the current context.
object
Return the interactor information of the object’s creator.
Parameters
obj : DataLink The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Example generated
{ "node": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "data": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "datalink", "message": "<datalink id> is not a valid UUID.", "code": "invalid" } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "node", "message": "Not a member of the node.", "code": "unauthorized" } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
